

/**
 * The test class CofferAndLorryTest.
 *
 * @author  Ales  Zlamal
 * @version 2007 10 10
 */
public class CofferAndLorryTest extends junit.framework.TestCase
{
    /**
     * Default constructor for test class CofferAndLorryTest
     */
    public CofferAndLorryTest()
    {
    }

    /**
     * Sets up the test fixture.
     *
     * Called before every test case method.
     */
    protected void setUp()
    {
    }

    public void testOfCoffer(){ 
        Coffer c = new Coffer(1.0, 15);
        assertEquals("Spatne se nastavuje nebo vraci hodnota weight.", 
                     1.0, c.getWeight());
        assertEquals("Spatne se nastavuje nebo vraci hodnota price.",
                     15.0, c.getPrice());
    }
    public void testOfLorry(){ 
        Lorry l = new Lorry(3.25);
        Coffer c1 = new Coffer(2.125, 15.0);
        Coffer c2 = new Coffer(1.125, 25.0);
        Coffer c3 = new Coffer(1.125, 25.0);

        l.load(c1);
        assertTrue("Vaha rovnajici se nosnosti auta by mela jit nalozit", 
                    l.canLoad(c2));
        l.load(c2);
        assertFalse("Spatne se spocita, zda se muze nalozit \"" + c3 + "\"", 
                    l.canLoad(c3));
        assertEquals("Spatne se vypisuje toString() nebo se spatne nascita vaha nebo pojisteni.",
                     "Lorry with tonnage 3.25 transports cargo with weight 3.25 and assurance 3,- Kc is paid.", 
                     l.toString());
        }
    
    /**
     * Tears down the test fixture.
     *
     * Called after every test case method.
     */
    protected void tearDown()
    {
    }
}
